Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.intercept
Interface MessageExchangeInterceptor

All Known Implementing Classes:
  NoOpInterceptor, ThrottlingInterceptor

    public interface MessageExchangeInterceptor

Hook into the BPEL server that enables intercepting of parntner/server invocations. This interface operates at a level that is a bit lower than the IAPI, as it allows access to internal engine datastructures. Caution should be used when implementing interceptors.

Nested Class Summary
`static interface` | `MessageExchangeInterceptor.InterceptorEvent` Representation of an intercept event.

Method Summary
`void` | `onBpelServerInvoked(MessageExchangeInterceptor.InterceptorEvent ic)` Called when the BPEL server is invoked, before any attempt to route the message exchange to a process.
`void` | `onNewInstanceInvoked(MessageExchangeInterceptor.InterceptorEvent ic)` Called when the BPEL server is invoked, after the message exchange has been routed to the process and it has been determined that a new instance needs to be created.
`void` | `onPartnerInvoked(MessageExchangeInterceptor.InterceptorEvent ic)` Called when the BPEL server is invoked, before any attempt to route the message exchange to a process.
`void` | `onProcessInvoked(MessageExchangeInterceptor.InterceptorEvent ic)` Called when the BPEL server is invoked, after the message exchange has been routed to the process.

Method Detail

### onBpelServerInvoked

    void onBpelServerInvoked(MessageExchangeInterceptor.InterceptorEvent ic)
                             throws FailMessageExchangeException,
                                    FaultMessageExchangeException

  Called when the BPEL server is invoked, before any attempt to route the message exchange to a process.

  Throws:
    `FailMessageExchangeException`
    `FaultMessageExchangeException`

### onProcessInvoked

    void onProcessInvoked(MessageExchangeInterceptor.InterceptorEvent ic)
                          throws FailMessageExchangeException,
                                 FaultMessageExchangeException

  Called when the BPEL server is invoked, after the message exchange has been routed to the process.

  Throws:
    `FailMessageExchangeException`
    `FaultMessageExchangeException`

### onNewInstanceInvoked

    void onNewInstanceInvoked(MessageExchangeInterceptor.InterceptorEvent ic)
                              throws FailMessageExchangeException,
                                     FaultMessageExchangeException

  Called when the BPEL server is invoked, after the message exchange has been routed to the process and it has been determined that a new instance needs to be created.

  Throws:
    `FailMessageExchangeException`
    `FaultMessageExchangeException`

### onPartnerInvoked

    void onPartnerInvoked(MessageExchangeInterceptor.InterceptorEvent ic)
                          throws FailMessageExchangeException,
                                 FaultMessageExchangeException

  Called when the BPEL server is invoked, before any attempt to route the message exchange to a process.

  Throws:
    `FailMessageExchangeException`
    `FaultMessageExchangeException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD